wco.datamodel.wco.response_ds.dms._2

# ObjectFactory

###
Related Doc: package _2

#### class ObjectFactory extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectFactory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ObjectFactory()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def createAdditionalInformationLimitDateTimeType(): AdditionalInformationLimitDateTimeType

7. #### def createAdditionalInformationLimitDateTimeTypeDateTimeString(): DateTimeString

8. #### def createAdditionalInformationStatementCodeType(): AdditionalInformationStatementCodeType

9. #### def createAdditionalInformationStatementDescriptionTextType(): AdditionalInformationStatementDescriptionTextType

10. #### def createAdditionalInformationStatementTypeCodeType(): AdditionalInformationStatementTypeCodeType

11. #### def createAmendmentChangeReasonCodeType(): AmendmentChangeReasonCodeType

12. #### def createAppealOfficeIdentificationIDType(): AppealOfficeIdentificationIDType

13. #### def createBankAccountIdentificationIDType(): BankAccountIdentificationIDType

14. #### def createBankReferenceIDType(): BankReferenceIDType

15. #### def createCommunicationIdentificationIDType(): CommunicationIdentificationIDType

16. #### def createCommunicationTypeCodeType(): CommunicationTypeCodeType

17. #### def createContactOfficeIdentificationIDType(): ContactOfficeIdentificationIDType

18. #### def createDeclarationAcceptanceDateTimeType(): DeclarationAcceptanceDateTimeType

19. #### def createDeclarationAcceptanceDateTimeTypeDateTimeString(): DateTimeString

20. #### def createDeclarationCancellationDateTimeType(): DeclarationCancellationDateTimeType

21. #### def createDeclarationCancellationDateTimeTypeDateTimeString(): DateTimeString

22. #### def createDeclarationFunctionalReferenceIDType(): DeclarationFunctionalReferenceIDType

23. #### def createDeclarationIdentificationIDType(): DeclarationIdentificationIDType

24. #### def createDeclarationRejectionDateTimeType(): DeclarationRejectionDateTimeType

25. #### def createDeclarationRejectionDateTimeTypeDateTimeString(): DateTimeString

26. #### def createDeclarationVersionIDType(): DeclarationVersionIDType

27. #### def createDutyTaxFeeAdValoremTaxBaseAmountType(): DutyTaxFeeAdValoremTaxBaseAmountType

28. #### def createDutyTaxFeeDeductAmountType(): DutyTaxFeeDeductAmountType

29. #### def createDutyTaxFeeDutyRegimeCodeType(): DutyTaxFeeDutyRegimeCodeType

30. #### def createDutyTaxFeeQuotaOrderIDType(): DutyTaxFeeQuotaOrderIDType

31. #### def createDutyTaxFeeSpecificTaxBaseQuantityType(): DutyTaxFeeSpecificTaxBaseQuantityType

32. #### def createDutyTaxFeeTypeCodeType(): DutyTaxFeeTypeCodeType

33. #### def createErrorDescriptionTextType(): ErrorDescriptionTextType

34. #### def createErrorValidationCodeType(): ErrorValidationCodeType

35. #### def createObligationGuaranteeReferenceIDType(): ObligationGuaranteeReferenceIDType

36. #### def createPaymentDueDateTimeType(): PaymentDueDateTimeType

37. #### def createPaymentDueDateTimeTypeDateTimeString(): DateTimeString

38. #### def createPaymentPaymentAmountType(): PaymentPaymentAmountType

39. #### def createPaymentReferenceIDType(): PaymentReferenceIDType

40. #### def createPaymentTaxAssessedAmountType(): PaymentTaxAssessedAmountType

41. #### def createPointerDocumentSectionCodeType(): PointerDocumentSectionCodeType

42. #### def createPointerTagIDType(): PointerTagIDType

43. #### def createResponseFunctionCodeType(): ResponseFunctionCodeType

44. #### def createResponseFunctionalReferenceIDType(): ResponseFunctionalReferenceIDType

45. #### def createResponseIssueDateTimeType(): ResponseIssueDateTimeType

46. #### def createResponseIssueDateTimeTypeDateTimeString(): DateTimeString

47. #### def createStatusEffectiveDateTimeType(): StatusEffectiveDateTimeType

48. #### def createStatusEffectiveDateTimeTypeDateTimeString(): DateTimeString

49. #### def createStatusNameCodeType(): StatusNameCodeType

50. #### def createStatusReleaseDateTimeType(): StatusReleaseDateTimeType

51. #### def createStatusReleaseDateTimeTypeDateTimeString(): DateTimeString

52. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

54. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

55. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

56. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

57. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

58. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

59. #### final def notify(): Unit

    Definition Classes
      AnyRef

60. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

61. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

62. #### def toString(): String

    Definition Classes
      AnyRef → Any

63. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

65. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped